% !TeX spellcheck = en_GB

The main idea behind a direct time series analysis, in contrast of a static analysis, is that the trained model could be used for online prediction. This means while the data is being generated the model can start analysing what the current activity is. The statical implementation above was an offline approach.\\
For this online approach each time series is split into a window with 100 samples, with each window overlapping by 40 samples. Those constants can be adjusted depending on the actual use case. Using a window of 100 samples at our sampling rate of \SI{50}{Hz} means that after two seconds of sampling the model could classify the current activity.\\
For the feature generation the data is filtered again, see section \ref{ssec:filtering}, to obtain a time series with nine features:
\begin{itemize}
	\item 3-axis accelerometer body component
	\item 3-axis accelerometer gravity component
	\item 3-axis gyroscope
\end{itemize}

Following additional features are generated as series:
\begin{itemize}
	\item Magnitude for each 3-axis component
	\item Angles for each 3-axis component
\end{itemize}

Using this data three different datasets are created, used with the model and compared in section \ref{ssec:ts_results}:
\begin{itemize}
	\item Raw data set: 3-axis accelerometer, 3-axis gyroscope (3 columns in total)
	\item Filtered data set: 3-axis accelerometer body component and gravity component, 3-axis gyroscope (9 columns in total)
	\item Generated data set: Magnitude and xy-angle of 3-axis accelerometer body component and 3-axis gyroscope (4 columns in total) 
\end{itemize}


